CBLAS/testing/c_cblas1.c(3)

NAME
CBLAS/testing/c_cblas1.c

SYNOPSIS

#include 'cblas_test.h'
#include 'cblas.h'

  Functions
void F77_caxpy (const CBLAS_INT *N, const void *alpha, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY)
void F77_ccopy (const CBLAS_INT *N, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY)
void F77_cdotc (const CBLAS_INT *N, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY, void *dotc)
void F77_cdotu (const CBLAS_INT *N, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY, void *dotu)
void F77_cscal (const CBLAS_INT *N, const void **alpha, void *X, const CBLAS_INT *incX)
void F77_csscal (const CBLAS_INT *N, const float *alpha, void *X, const CBLAS_INT *incX)
void F77_cswap (const CBLAS_INT *N, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY)
CBLAS_INT F77_icamax (const CBLAS_INT *N, const void *X, const CBLAS_INT *incX)
float F77_scnrm2 (const CBLAS_INT *N, const void *X, const CBLAS_INT *incX)
float F77_scasum (const CBLAS_INT *N, void *X, const CBLAS_INT *incX)

Function Documentation

  void F77_caxpy (const CBLAS_INT * N, const void * alpha, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY)

Definition at line 11 of file c_cblas1.c.

  void F77_ccopy (const CBLAS_INT * N, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY)

Definition at line 18 of file c_cblas1.c.

  void F77_cdotc (const CBLAS_INT * N, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY, void * dotc)

Definition at line 25 of file c_cblas1.c.

  void F77_cdotu (const CBLAS_INT * N, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY, void * dotu)

Definition at line 32 of file c_cblas1.c.

  void F77_cscal (const CBLAS_INT * N, const void ** alpha, void * X, const CBLAS_INT * incX)

Definition at line 39 of file c_cblas1.c.

  void F77_csscal (const CBLAS_INT * N, const float * alpha, void * X, const CBLAS_INT * incX)

Definition at line 46 of file c_cblas1.c.

  void F77_cswap (const CBLAS_INT * N, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY)

Definition at line 53 of file c_cblas1.c.

  CBLAS_INT F77_icamax (const CBLAS_INT * N, const void * X, const CBLAS_INT * incX)

Definition at line 60 of file c_cblas1.c.

  float F77_scasum (const CBLAS_INT * N, void * X, const CBLAS_INT * incX)

Definition at line 71 of file c_cblas1.c.

  float F77_scnrm2 (const CBLAS_INT * N, const void * X, const CBLAS_INT * incX)

Definition at line 66 of file c_cblas1.c.

Author

Generated automatically by Doxygen for LAPACK from the source code.